handler=new CameraEventHandler();
runtime.addEventHandler(handler);
handler.onEvent=function(event) 
{
  scene.update();
}
var zero=new Vector3(0,0,0);
var nodes=scene.nodes;
var count=nodes.count;

var index=new Array();
for(i=0; i < count; i++) {
  var mesh=nodes.getByIndex(i); 
  var name=mesh.name;
  end=name.lastIndexOf(".")-1;
  if(end > 0) {
    if(name.substr(end,1) == "\001") {
      start=name.lastIndexOf("-")+1;
      n=end-start;
      if(n > 0) {
        index[name.substr(start,n)]=i;
        mesh.name=name.substr(0,start-1);
      }
    }
  }
}

billboardHandler=new RenderEventHandler();
billboardHandler.onEvent=function(event)
{
  var camera=scene.cameras.getByIndex(0); 
  var position=camera.position;
  var direction=position.subtract(camera.targetPosition);
  var up=camera.up.subtract(position);

  function f(i) {
    j=index[i];
    if(j >= 0) {
      var mesh=nodes.getByIndex(j);
      mesh.transform.setView(zero,direction,up);
    }
  }
f(0);
f(1);
f(2);

  runtime.refresh(); 
}
 
runtime.addEventHandler(billboardHandler); 

runtime.refresh(); 
